%global pypi_name XStatic-jQuery

Name:           python-%{pypi_name}224
Version:        2.2.4.1
Release:        2%{?dist}
Summary:        jQuery (XStatic packaging standard)

License:        MIT
URL:            http://jquery.com/
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Patch0:		0001-Fix-for-CVE-2019-11358.patch

BuildArch:      noarch
BuildRequires: web-assets-devel

%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%package -n python3-%{pypi_name}224
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-XStatic
Provides:       python3-%{pypi_name} = %{version}-%{release}
Obsoletes:      python3-%{pypi_name} <= 3.4.1.0

%description -n python3-%{pypi_name}224
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pypi_name}.


%prep
%autosetup -n %{pypi_name}-%{version} -S git
# patch to use webassets dir
#sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/jquery/1'|" xstatic/pkg/jquery/__init__.py

%build
%py3_build

%install
%py3_install

# Remove static files, packaged in js-jquery1
# lhh - we want to bundle this
# rm -rf %{buildroot}%{python3_sitelib}/xstatic/pkg/jquery/data/

%files -n python3-%{pypi_name}224
%doc README.txt
%{python3_sitelib}/xstatic/pkg/jquery
%{python3_sitelib}/XStatic_jQuery-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic_jQuery-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Mon Apr 27 2020 Steve Linabery <slinaber@redhat.com> - 2.2.4.1-2
- Fix rhbz#1827709
- Changes to ensure this version is used instead of 3.4.1.0

* Fri Apr 24 2020 Radomir Dopieralski <rdopiera@redhat.com> - 2.2.4.1-1
- Downgrade to 2.2.4.1
- Fix CVE-2019-11358

* Mon Mar 16 2020 Radomir Dopieralski <rdopiera@redhat.com> - 3.4.1.0-1
- Upgrade to 3.4.1.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.10.2.1-16
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.10.2.1-15
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 30 2019 Javier Peña <jpena@redhat.com> - 1.12.4.1-2
- Do not patch to use webassets dir, not depending on js-jquery1

* Wed Jan 30 2019 Lon Hohberger <lon@redhat.com> - 1.12.4.1-1
- Rebase to 1.12.4.1 to match OpenStack upper-constraints

* Wed Jan 30 2019 Lon Hohberger <lon@redhat.com> - 1.10.2.1-12.1
- Don't drop bundled jQuery

* Thu Nov 22 2018 Petr Viktorin pviktori@redhat.org> - 1.10.2.1-12
- Remove the Python 2 subpackage
  https://bugzilla.redhat.com/show_bug.cgi?id=1641286

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.10.2.1-10
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.10.2.1-6
- Rebuild for Python 3.6

* Thu Oct 13 2016 Jan Beran <jberan@redhat.com> - 1.10.2.1-5
- Provides a Python 3 subpackage
- depend on js-jquery1 rather than bundling its own

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 12 2014 Matthias Runge <mrunge@redhat.com> - 1.10.2.1-1
- Initial package.
